{
===============================================================================
  Copyright (©) 2005. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 15-06-2005
  Versión actual: 1.0.0
  Fecha versión actual: 15-06-2005
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
===============================================================================
}

unit InformeListadoTareasObra;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, InformeBase, FR_IBXDB, FR_Shape, FR_Class, DB, IBCustomDataSet,
  IBQuery, FR_DSet, FR_DBSet, RdxEmpresaActiva, RxMemDS, FR_ChBox;

type
  TdmInformeListadoTareasObra = class(TdmInformeBase)
    dsTablaTareas: TfrDBDataSet;
    TablaTareas: TRxMemoryData;
    frCheckBoxObject1: TfrCheckBoxObject;
  private
    FCodigoObra: Variant;
    FNombreObra: Variant;
  protected
    procedure RellenarCabecera(Band: TfrBand); override;
    procedure PrepararConsultas; override;
  public
    procedure setDatos(Tabla: TRxMemoryData);
    property CodigoObra: Variant read FCodigoObra write FCodigoObra;
    property NombreObra: Variant read FNombreObra write FNombreObra;
    constructor Create(AOwner: TComponent); override;
  published
  end;

var
  dmInformeListadoTareasObra: TdmInformeListadoTareasObra;

implementation

{$R *.dfm}

{ TdmInformeHistorialFacturasClientes }

uses
  BaseDatos, StrFunc, TablaEmpresas;

constructor TdmInformeListadoTareasObra.Create(AOwner: TComponent);
begin
  inherited;
  FNombreInforme := 'InformeListadoTareasObra.frf';
end;

procedure TdmInformeListadoTareasObra.PrepararConsultas;
begin
//
end;

procedure TdmInformeListadoTareasObra.RellenarCabecera(
  Band: TfrBand);
var
  iCont : Integer;
  Objeto : TfrView;
begin
  inherited;
  with Band do
  begin
     for iCont := 0 to Objects.Count - 1 do
      begin
        Objeto := Objects[iCont];
        if ((Objeto is TfrMemoView) and (Objeto.Name = 'CabParametros')) then
        begin
          with (Objeto as TfrMemoView) do
          begin
            Memo.Clear;
            Memo.Add('Código montaje: ' + CodigoObra);
            Memo.Add('Nombre: ' + NombreObra);
          end;
        end;
      end;
  end;
end;

procedure TdmInformeListadoTareasObra.setDatos(Tabla: TRxMemoryData);
begin
  TablaTareas.LoadFromDataSet(Tabla, -1, lmCopy);
end;

end.
